---
title: Create Param Store
description: Reference for the POST /console/v1/param_stores API endpoint.
product: general
token_estimate: 1375
---
# Create Param Store

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## Create Param Store

**POST** `/console/v1/param_stores`

Full URL: `https://statsigapi.net/console/v1/param_stores`

Create Param Store

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Body (application/json)

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| name | string | Yes | — | Param Store Name |
| description | string | Yes | — | Param Store Description |
| displayName | string | Yes | — | Param Store Display Name |
| targetAppIDs | string[] | No | — | Target App IDs |
| tags | string[] | No | — | Tags |
| team | string | No | — | Team |

## Response (application/json)

**200** — Create param store

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object | Yes | — | — |
| data.id | string | Yes | — | Param Store ID |
| data.name | string | Yes | — | Param Store Name |
| data.displayName | string | Yes | — | Param Store Display Name |
| data.description | string | Yes | — | Param Store Description |
| data.createdTime | number | Yes | — | Param Store Creation Time Constraints: format: double |
| data.creatorID | string | Yes | — | Creator ID |
| data.lastModifierID | string | Yes | — | Last Modifier ID |
| data.team | string | No | — | Team Name Constraints: nullable |
| data.teamID | string | No | — | Team ID |
| data.parameters | oneOf[] | Yes | — | List of Parameters |
| data.parameters.ref_type | string | Yes | — | Allowed values: static, gate, layer, dynamic_config, experiment |
| data.parameters.name | string | Yes | — | Parameter Name |
| data.parameters.param_type | string | Yes | — | Parameter Type Allowed values: boolean, number, string, object, array |
| data.parameters.value | boolean or number or string or object or array | No | — | — |
| data.parameters.gate_name | string | No | — | Gate Name |
| data.parameters.pass_value | boolean or number or string or object or array | No | — | — |
| data.parameters.fail_value | boolean or number or string or object or array | No | — | — |
| data.parameters.layer_name | string | No | — | Layer Name |
| data.parameters.param_name | string | No | — | Parameter Name in Layer |
| data.parameters.config_name | string | No | — | Dynamic Config Name |
| data.parameters.experiment_name | string | No | — | Experiment Name |

```json
{
  "message": "Param Store read successfully.",
  "data": {
    "id": "6O13wytnLL1Lss5QgUSAeu",
    "name": "param 1",
    "displayName": "param 1",
    "description": "",
    "createdTime": 1734618662756,
    "creatorID": "5O908pyGoCqw6QH1nt8v82",
    "lastModifierID": "5O908pyGoCqw6QH1nt8v82",
    "parameters": [
      {
        "name": "prm1",
        "ref_type": "static",
        "param_type": "boolean",
        "value": false
      },
      {
        "name": "prm2",
        "ref_type": "static",
        "param_type": "boolean",
        "value": false
      }
    ]
  }
}
```

## Code samples

### cURL

```bash
curl -X POST "https://statsigapi.net/console/v1/param_stores" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.post(
    "https://statsigapi.net/console/v1/param_stores",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/param_stores", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/param_stores");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("POST", "https://statsigapi.net/console/v1/param_stores", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/param_stores"))
      .method("POST", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/param_stores")
request = Net::HTTP::Post.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

